Bug 1871925 - "Show groups" does not accurately depict the how the two modes in topology differ.
Summary: "Show groups" does not accurately depict the how the two modes in topology di...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Jeff Phillips
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-24 15:33 UTC by Jeff Phillips
Modified: 2020-09-03 08:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Version: 4.6.0-0.nightly-2020-08-23-214712 Cluster ID: 864eda94-e2b0-4205-b983-0daabc4cd468 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/84.0.4147.135 Safari/537.36
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
Verification of Bug 1871925 (481.80 KB, image/png)
2020-09-03 08:58 UTC, Abhishek K N
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6413 None closed Bug 1871925: Change name of "Show Groups" Toggle that switches the modes in topology 2020-09-02 13:52:59 UTC

Description Jeff Phillips 2020-08-24 15:33:06 UTC
Description of problem:

The Display Options dropdown in the topology view has `Show Groups` which does not accurately describe the option which not only does not show groups but it does not show connectors either.

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. Navigate to the Developer perspective, Topology view
2. Select 'Display Options`
3. See the text says `Show Groups`
4. Turn off the show groups switch

Actual results:

The text says `Show Groups` but connectors are also not shown

Expected results:

Text should toggle between `Connectivity` and `Consumption` to better indicate what the toggle will show.

Additional info:

Comment 3 Abhishek K N 2020-09-03 08:58:16 UTC
Verified recommended UX changes on following build (PSA).

OpenShift Version: 4.6.0-0.nightly-2020-09-02-210353
Kubernetes Version: v1.19.0-rc.2+b5dc585-dirty

Comment 4 Abhishek K N 2020-09-03 08:58:54 UTC
Created attachment 1713564 [details]
Verification of Bug 1871925


Note You need to log in before you can comment on or make changes to this bug.